### Name

> XmHTMLTextGetSource - obtain a pointer to the source text of the currently displayed document.

### Synopsis

> String XmHTMLTextGetSource(Widget w)

### Description

> XmHTMLTextGetSource returns a pointer to the original, unmodified, raw HTML source text of the currently displayed document.

> w
>   Specifies the Widget ID from which a source text should be retrieved. This widget must be of class xmHTMLWidgetClass.

### Return Value

> A pointer to the source text of the currently displayed document. This value may never be freed by the caller.

### See Also

> XmHTML(3X), XmHTMLTextGetFormatted(3X), XmHTMLTextGetString(3X)

XmHTML, October 7, 1997